import Chart from "../core.js";
import { name, schema } from "./entities/ap-request.js";
/**
 * Chart about ActivityPub requests
 */ export default class ApRequestChart extends Chart {
    constructor(){
        super(name, schema);
    }
    async tickMajor() {
        return {};
    }
    async tickMinor() {
        return {};
    }
    async deliverSucc() {
        await this.commit({
            deliverSucceeded: 1
        });
    }
    async deliverFail() {
        await this.commit({
            deliverFailed: 1
        });
    }
    async inbox() {
        await this.commit({
            inboxReceived: 1
        });
    }
}
